命名空间:microsoft.graph
重要
Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
创建新课程。 此操作还会创建通用组。 使用此 API 创建类时,它将向组添加特殊属性,这会在使用组创建团队时在 Microsoft Teams 中添加作业和特殊处理等功能。 请注意,此 API 仅创建通用组,不会创建团队。 Microsoft Teams 为教师提供了一个用户界面,以便使用此 API 创建的组为自己的班级创建团队。
API 可用性
此 API 可用于以下国家级云部署。
| 全局服务 |
美国政府 L4 |
美国政府 L5 (DOD) |
由世纪互联运营的中国 |
| ✅ |
❌ |
❌ |
❌ |
权限
为此 API 选择标记为最低特权的权限。
只有在应用需要它时,才使用更高的特权权限。 有关委派权限和应用程序权限的详细信息,请参阅权限类型。 要了解有关这些权限的详细信息,请参阅 权限参考。
| 权限类型 |
最低特权权限 |
更高特权权限 |
| 委派(工作或学校帐户) |
不支持。 |
不支持。 |
| 委派(个人 Microsoft 帐户) |
不支持。 |
不支持。 |
| 应用程序 |
EduRoster.ReadWrite.All |
不可用。 |
HTTP 请求
POST /education/classes
| 标头 |
值 |
| Authorization |
持有者 {token}。 必填。 详细了解 身份验证和授权。 |
| Content-Type |
application/json |
请求正文
在请求正文中,提供 educationClass 对象的 JSON 表示形式。
响应
如果成功,此方法会在响应正文中返回 201 Created 响应代码和 educationClass 对象。
示例
请求
以下示例显示了一个请求。
POST https://graph.microsoft.com/beta/education/classes
Content-type: application/json
{
"description": "Health Level 1",
"classCode": "Health 501",
"displayName": "Health 1",
"externalId": "11019",
"externalName": "Health Level 1",
"externalSource": "sis",
"mailNickname": "fineartschool.net"
}
// Code snippets are only available for the latest version. Current version is 5.x
// Dependencies
using Microsoft.Graph.Beta.Models;
var requestBody = new EducationClass
{
Description = "Health Level 1",
ClassCode = "Health 501",
DisplayName = "Health 1",
ExternalId = "11019",
ExternalName = "Health Level 1",
ExternalSource = EducationExternalSource.Sis,
MailNickname = "fineartschool.net",
};
// To initialize your graphClient, see https://learn.microsoft.com/en-us/graph/sdks/create-client?from=snippets&tabs=csharp
var result = await graphClient.Education.Classes.PostAsync(requestBody);
// Code snippets are only available for the latest major version. Current major version is $v0.*
// Dependencies
import (
"context"
msgraphsdk "github.com/microsoftgraph/msgraph-beta-sdk-go"
graphmodels "github.com/microsoftgraph/msgraph-beta-sdk-go/models"
//other-imports
)
requestBody := graphmodels.NewEducationClass()
description := "Health Level 1"
requestBody.SetDescription(&description)
classCode := "Health 501"
requestBody.SetClassCode(&classCode)
displayName := "Health 1"
requestBody.SetDisplayName(&displayName)
externalId := "11019"
requestBody.SetExternalId(&externalId)
externalName := "Health Level 1"
requestBody.SetExternalName(&externalName)
externalSource := graphmodels.SIS_EDUCATIONEXTERNALSOURCE
requestBody.SetExternalSource(&externalSource)
mailNickname := "fineartschool.net"
requestBody.SetMailNickname(&mailNickname)
// To initialize your graphClient, see https://learn.microsoft.com/en-us/graph/sdks/create-client?from=snippets&tabs=go
classes, err := graphClient.Education().Classes().Post(context.Background(), requestBody, nil)
// Code snippets are only available for the latest version. Current version is 6.x
GraphServiceClient graphClient = new GraphServiceClient(requestAdapter);
EducationClass educationClass = new EducationClass();
educationClass.setDescription("Health Level 1");
educationClass.setClassCode("Health 501");
educationClass.setDisplayName("Health 1");
educationClass.setExternalId("11019");
educationClass.setExternalName("Health Level 1");
educationClass.setExternalSource(EducationExternalSource.Sis);
educationClass.setMailNickname("fineartschool.net");
EducationClass result = graphClient.education().classes().post(educationClass);
const options = {
authProvider,
};
const client = Client.init(options);
const educationClass = {
description: 'Health Level 1',
classCode: 'Health 501',
displayName: 'Health 1',
externalId: '11019',
externalName: 'Health Level 1',
externalSource: 'sis',
mailNickname: 'fineartschool.net'
};
await client.api('/education/classes')
.version('beta')
.post(educationClass);
<?php
use Microsoft\Graph\Beta\GraphServiceClient;
use Microsoft\Graph\Beta\Generated\Models\EducationClass;
use Microsoft\Graph\Beta\Generated\Models\EducationExternalSource;
$graphServiceClient = new GraphServiceClient($tokenRequestContext, $scopes);
$requestBody = new EducationClass();
$requestBody->setDescription('Health Level 1');
$requestBody->setClassCode('Health 501');
$requestBody->setDisplayName('Health 1');
$requestBody->setExternalId('11019');
$requestBody->setExternalName('Health Level 1');
$requestBody->setExternalSource(new EducationExternalSource('sis'));
$requestBody->setMailNickname('fineartschool.net');
$result = $graphServiceClient->education()->classes()->post($requestBody)->wait();
Import-Module Microsoft.Graph.Beta.Education
$params = @{
description = "Health Level 1"
classCode = "Health 501"
displayName = "Health 1"
externalId = "11019"
externalName = "Health Level 1"
externalSource = "sis"
mailNickname = "fineartschool.net"
}
New-MgBetaEducationClass -BodyParameter $params
# Code snippets are only available for the latest version. Current version is 1.x
from msgraph_beta import GraphServiceClient
from msgraph_beta.generated.models.education_class import EducationClass
from msgraph_beta.generated.models.education_external_source import EducationExternalSource
# To initialize your graph_client, see https://learn.microsoft.com/en-us/graph/sdks/create-client?from=snippets&tabs=python
request_body = EducationClass(
description = "Health Level 1",
class_code = "Health 501",
display_name = "Health 1",
external_id = "11019",
external_name = "Health Level 1",
external_source = EducationExternalSource.Sis,
mail_nickname = "fineartschool.net",
)
result = await graph_client.education.classes.post(request_body)
响应
以下示例显示了相应的响应。
注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "11019",
"description": "Health Level 1",
"classCode": "Health 501",
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"displayName": "Health 1",
"externalId": "11019",
"externalName": "Health Level 1",
"externalSource": "sis",
"mailNickname": "fineartschool.net"
}